﻿@using SportsClub.Areas.Dashboard.Models
@model AppearanceSettingViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Appearance Settings
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset ng-if="Model.IsClubPartner">
            <legend>Class description page</legend>
            <div>
                <div class="clearfix">
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label style="display:inline-block;">
                                <input ng-model="@Html.Ang(model => model.ShowProviderNameInClassPage)" type="checkbox">
                                <span class="check"></span>
                                Show the provider name
                            </label>
                            <image-tooltip align="right" img-src="~/Areas/Dashboard/Content/Image/Info/ShowProviderNameInfo.jpg"></image-tooltip>
                        </div>
                    </div>

                </div>
                <div class="clearfix">
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label style="display:inline-block;">
                                <input ng-model="@Html.Ang(model => model.HideGoogleMapInClassPage)" type="checkbox">
                                <span class="check"></span>
                                Hide the Google map
                            </label>
                            <image-tooltip align="right" img-src="~/Areas/Dashboard/Content/Image/Info/HideGoogleMap.jpg"></image-tooltip>
                        </div>
                    </div>

                </div>
            </div>
            <br/>
        </fieldset>

        <fieldset ng-if="!Model.IsClubPartner">
            <legend>Tuition section</legend>

            <label>Tuition label text color</label>
            <div class="form-group pull-left one-half padding-right15">
                <div kendo-color-palette ng-model="Model.TuitionLabelTextColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#2d87cd' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                <div kendo-flat-color-picker ng-model="Model.TuitionLabelTextColor" k-opacity="true"></div>

            </div>

            <label>Price text color</label>
            <div class="form-group pull-left one-half padding-right15">
                <div kendo-color-palette ng-model="Model.PriceTextColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#FFFFFF' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                <div kendo-flat-color-picker ng-model="Model.PriceTextColor" k-opacity="true"></div>

            </div>

            <label>Price background color</label>
            <div class="form-group pull-left one-half padding-right15">
                <div kendo-color-palette ng-model="Model.PriceBackColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#2d87cd' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                <div kendo-flat-color-picker ng-model="Model.PriceBackColor" k-opacity="true"></div>

            </div>
        </fieldset>

        <fieldset ng-if="!Model.IsClubPartner">
            <legend>Contact box</legend>
            <div>

                <div class="clearfix">
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="@Html.Ang(model => model.HidePhoneNumber)" type="checkbox">
                                <span class="check"></span>
                                Hide phone number
                            </label>
                        </div>
                    </div>

                </div>

                <div class="clearfix">
                    <label>Background color</label>
                    <div class="form-group pull-left one-half padding-right15">
                        <div kendo-color-palette ng-model="Model.ContactBoxBackColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#249ab5' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                        <div kendo-flat-color-picker ng-model="Model.ContactBoxBackColor" k-opacity="true"></div>

                    </div>
                </div>
            </div>
        </fieldset>

        <fieldset ng-if="!Model.IsClubPartner">
            <legend>Testimonial/feature box</legend>
            <label>Title</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" ng-model="Model.TestimonialsTitle"/>
            </div>
            <div>
                <div class="clearfix">
                    <label>Text color</label>
                    <div class="form-group pull-left one-half padding-right15">
                        <div kendo-color-palette ng-model="Model.TestimonialsBoxColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#249ab5' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                        <div kendo-flat-color-picker ng-model="Model.TestimonialsBoxColor" k-opacity="true"></div>

                    </div>
                </div>
            </div>
            <div>
                <div class="clearfix">
                    <label>Background color</label>
                    <div class="form-group pull-left one-half padding-right15">
                        <div kendo-color-palette ng-model="Model.TestimonialsBoxBackColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#249ab5' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                        <div kendo-flat-color-picker ng-model="Model.TestimonialsBoxBackColor" k-opacity="true"></div>

                    </div>
                </div>
            </div>
        </fieldset>

        <fieldset ng-if="!Model.IsClubPartner">
            <legend>Express registration button</legend>

            <label>Title</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" ng-model="Model.ERButtonTextLabel"/>
            </div>

            <label>Text color</label>
            <div class="form-group pull-left one-half padding-right15">
                <div kendo-color-palette ng-model="Model.ERButtonTextColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#FFFFFF' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                <div kendo-flat-color-picker ng-model="Model.ERButtonTextColor" k-opacity="true"></div>

            </div>

            <label>Background color</label>
            <div class="form-group pull-left one-half padding-right15">
                <div kendo-color-palette ng-model="Model.ERButtonBackColor" k-opacity="true" k-columns="10" k-palette="[
                                   '#F78B0F' , '#f34f98' , '#000000' , '#b4dcfa' , '#212745' , '#4e67c8' , '#5eccf3' , '#a7ea52' , '#5dceaf' , '#f14124' ,
                                   '#f2f2f2' , '#7f7f7f' , '#8bc9f7' , '#c7cce4' , '#dbe0f4' , '#def4fc' , '#edfadc' , '#def5ef' , '#ffe5d2' , '#fcd9d3' ,
                                   ]"></div>
                <div kendo-flat-color-picker ng-model="Model.ERButtonBackColor" k-opacity="true"></div>

            </div>

        </fieldset>

        <div class="clearfix"></div>
        <hr/>

        <button ngaction="Settings_Appearance_Save" type="submit" class="success large place-right" ng-click="save()">Save</button>
        <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>